// Copyright (c) 2018 Zilliqa
// This source code is being disclosed to you solely for the purpose of your participation in
// testing Zilliqa. You may view, compile and run the code for that purpose and pursuant to
// the protocols and algorithms that are programmed into, and intended by, the code. You may
// not do anything else with the code without express permission from Zilliqa Research Pte. Ltd.,
// including modifying or publishing the code (or any part of it), and developing or forming
// another public or private blockchain network. This source code is provided ‘as is’ and no
// warranties are given as to title or non-infringement, merchantability or fitness for purpose
// and, to the extent permitted by law, all liability for your use of the code is disclaimed.
declare module 'elliptic/lib/elliptic/ec/signature' {
  import BN from 'bn.js';

  interface Options {
    r: string | BN;
    s: string | BN;
  }

  interface Signature {
    r: BN;
    s: BN;
  }

  var Signature: {
    new (opt: Options): Signature;
    new (data: Buffer): Signature;
  };

  export = Signature;
}
